PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::optical::modal::LateralMeshAdapter< BaseT > Struct Template Reference
Collaboration diagram for plask::optical::modal::LateralMeshAdapter< BaseT >:
[legend]

## Public Member Functions
| LateralMeshAdapter (const BaseT *solver)
void | resetMidpoints (const shared_ptr< MeshAxis > &vbounds)
void | resetMidpoints (const shared_ptr< MeshAxis > &vbounds, double spacing)
void | reset (const shared_ptr< MeshAxis > &verts)
shared_ptr< RectangularMesh< 2 > > | makeMesh (const shared_ptr< MeshAxis > &verts)
shared_ptr< OrderedAxis > | vert ()
shared_ptr< RectangularMesh< 2 > > | midmesh () const
size_t | size () const
size_t | idx (size_t i, size_t v) const
Vec< 2 > | at (size_t i, size_t v) const
shared_ptr< RectangularMesh< 2 > > | makeLine (size_t i, size_t v, double spacing) const

## Public Attributes
shared_ptr< RectangularMesh< 2 > > | mesh

## Detailed Description

template<typename BaseT>
struct plask::optical::modal::LateralMeshAdapter< BaseT >

Definition at line 96 of file solver.cpp.

## Constructor & Destructor Documentation

## ◆ LateralMeshAdapter()

template<typename BaseT >

plask::optical::modal::LateralMeshAdapter< BaseT >::LateralMeshAdapter | ( | const BaseT * | solver | ) |
| inline

Definition at line 99 of file solver.cpp.

## Member Function Documentation

## ◆ at()

template<typename BaseT >

Vec< 2 > plask::optical::modal::LateralMeshAdapter< BaseT >::at | ( | size_t | i,
|  | size_t | v
| ) |  | const
| inline

Definition at line 128 of file solver.cpp.

## ◆ idx()

template<typename BaseT >

size_t plask::optical::modal::LateralMeshAdapter< BaseT >::idx | ( | size_t | i,
|  | size_t | v
| ) |  | const
| inline

Definition at line 126 of file solver.cpp.

## ◆ makeLine()

template<typename BaseT >

shared_ptr< RectangularMesh< 2 > > plask::optical::modal::LateralMeshAdapter< BaseT >::makeLine | ( | size_t | i,
|  | size_t | v,
|  | double | spacing
| ) |  | const
| inline

Definition at line 130 of file solver.cpp.

## ◆ makeMesh()

template<typename BaseT >

shared_ptr< RectangularMesh< 2 > > plask::optical::modal::LateralMeshAdapter< BaseT >::makeMesh | ( | const shared_ptr< MeshAxis > & | verts | ) |
| inline

Definition at line 114 of file solver.cpp.

## ◆ midmesh()

template<typename BaseT >

shared_ptr< RectangularMesh< 2 > > plask::optical::modal::LateralMeshAdapter< BaseT >::midmesh | ( |  | ) | const
| inline

Definition at line 120 of file solver.cpp.

## ◆ reset()

template<typename BaseT >

void plask::optical::modal::LateralMeshAdapter< BaseT >::reset | ( | const shared_ptr< MeshAxis > & | verts | ) |
| inline

Definition at line 110 of file solver.cpp.

## ◆ resetMidpoints() [1/2]

template<typename BaseT >

void plask::optical::modal::LateralMeshAdapter< BaseT >::resetMidpoints | ( | const shared_ptr< MeshAxis > & | vbounds | ) |
| inline

Definition at line 101 of file solver.cpp.

## ◆ resetMidpoints() [2/2]

template<typename BaseT >

void plask::optical::modal::LateralMeshAdapter< BaseT >::resetMidpoints | ( | const shared_ptr< MeshAxis > & | vbounds,
|  | double | spacing
| ) |  |
| inline

Definition at line 105 of file solver.cpp.

## ◆ size()

template<typename BaseT >

size_t plask::optical::modal::LateralMeshAdapter< BaseT >::size | ( |  | ) | const
| inline

Definition at line 124 of file solver.cpp.

## ◆ vert()

template<typename BaseT >

shared_ptr< OrderedAxis > plask::optical::modal::LateralMeshAdapter< BaseT >::vert | ( |  | ) |
| inline

Definition at line 118 of file solver.cpp.

## Member Data Documentation

## ◆ mesh

template<typename BaseT >

shared_ptr<RectangularMesh<2> > plask::optical::modal::LateralMeshAdapter< BaseT >::mesh

Definition at line 97 of file solver.cpp.

The documentation for this struct was generated from the following file:

- solvers/optical/modal/solver.cpp